Bug 864820 - [mr_IN] Incorrect day and months information in locale
[mr_IN] Incorrect day and months information in locale
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Siddhesh Poyarekar
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 04:04 EDT by Parag Nemade
Modified: 2016-11-24 07:15 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 00:03:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1.39 KB, patch)
2012-10-10 04:42 EDT, Siddhesh Poyarekar
no flags Details | Diff
Patch to fix marathi language string. (2.25 KB, patch)
2012-10-10 05:08 EDT, Pravin Satpute
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 14694 None None None Never

  None (edit)
Description Parag Nemade 2012-10-10 04:04:18 EDT
Description of problem:
Please correct the September and October months Unicode translation in locale file. Also, its found that there is no Wednesday day and Tuesday is repeated for it.

Version-Release number of selected component (if applicable):
glibc-2.16-17.fc18

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
incorrect day for Wednesday and months September, October

Expected results:
should show correct information


Additional info:
Comment 2 Siddhesh Poyarekar 2012-10-10 04:42:04 EDT
Created attachment 624655 [details]
Fix

I'm going to build and test this patch soon.
Comment 3 Pravin Satpute 2012-10-10 05:08:03 EDT
Created attachment 624688 [details]
Patch to fix marathi language string.

Added missing string, Please use this updated patch.
Comment 4 Parag Nemade 2012-10-10 05:09:47 EDT
Aman,
  I observed this in F18 TC3 installation. Just screen lock and try to unlock and you will find Tuesday in Marathi instead Wednesday. Another thing is to check in system-config-date for September and October.

Pravin has already created patch and I have submitted this bug for his reference.
Comment 5 Siddhesh Poyarekar 2012-10-10 05:16:42 EDT
Thanks Pravin.  Can you also post this upstream, if you haven't already?
Comment 6 Pravin Satpute 2012-10-10 05:22:11 EDT
Yes done http://sourceware.org/bugzilla/show_bug.cgi?id=14694


Thank you.
Comment 7 Siddhesh Poyarekar 2012-10-10 07:52:54 EDT
You need to send the patch to libc-alpha@sourceware.org . Follow this for guidelines: http://sourceware.org/glibc/wiki/Contribution%20checklist

The rawhide package is ready and the f18 sources have been patched but not built yet.
Comment 8 Pravin Satpute 2012-10-10 08:24:39 EDT
(In reply to comment #7)
> You need to send the patch to libc-alpha@sourceware.org . Follow this for
> guidelines: http://sourceware.org/glibc/wiki/Contribution%20checklist
> 
Thanks for pointing this link, i will do it soon.
Comment 9 Fedora Update System 2012-10-13 22:36:22 EDT
glibc-2.16-20.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glibc-2.16-20.fc18
Comment 10 Fedora Update System 2012-10-14 16:11:28 EDT
Package glibc-2.16-20.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-20.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16111/glibc-2.16-20.fc18
then log in and leave karma (feedback).
Comment 11 Parag Nemade 2012-11-09 00:03:37 EST
This is already pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.